

  





<div class="dashboard">
    <div class="sidebar">
        <ul>
            <li><i class="fas fa-bed"></i> <a routerLink="/addchambre">Add Chambre</a></li>
            <li><i class="fas fa-home"></i> <a routerLink="/addmaison">Add Maison</a></li>
            <li><i class="fas fa-table"></i> <a routerLink="/chambretable">Chambre Table</a></li>
            <li><i class="fas fa-table"></i> <a routerLink="/maisontable">Maison Table</a></li>
            <li><i class="fas fa-calendar"></i> <a routerLink="/reservation">Reservation</a></li>
        </ul>
    </div>
  
  
      <div class="content">
        
         
          <div class="container">
            <div class="row align-items-center">
            <div class="col-lg-9 mx-auto text-center">
             
              <h2 class="mb-3"> Owner Dashboard</h2>
      <p>
        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas in mi
        libero. Quisque convallis, enim at venenatis tincidunt.
      </p>
      <input type="text" class="input-group form-control" [(ngModel)]="termName" name="Search"
      placeholder="Search by Name" style="border-color:rgb(71, 0, 203);width:380px;height:40px;margin-top:5px;"> <br>

      <table class="table">
        <thead class="thead-dark">
          <tr>
            <th scope="col">Id</th>
            <th scope="col">Name</th>
            <th scope="col">Capacity</th>
            <th scope="col">Description</th>
            <th scope="col">Price</th>
          
            <th scope="col">Action</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let m of owners | filterNom:termName" appTablestyle>
          
            <th scope="row">{{ m.id }}</th>
            <td>{{ m.name }}</td>
            <td>{{ m.capacity }}</td>
            <td>{{ m.description }}</td>
            <td>{{ m.price }}</td>
      
            <td>
              <button class="btn btn-danger mgr-3" (click)="deleteChambre(m.id)">
                <i class="fas fa-trash"></i> Delete
              </button>
      
              <button class="btn btn-primary" (click)="navigate(m.id)">
                <i class="fas fa-edit"></i> Update
              </button>
            </td>
          </tr>
        </tbody>
      </table>
      
  
  
  
      </div>
  </div>
  
  
  
        
        
      
         
  